Name:           perl-EV
Version:        4.34
Release:        1%{?org_tag}%{?dist}
Summary:        Perl interface to libev, a high performance full-featured event loop
License:        GPL+ or Artistic (and libev is 2-clause BSD)
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/EV/
Source0:        http://www.cpan.org/authors/id/M/ML/MLEHMANN/EV-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl(common::sense)
BuildRequires:  perl(Canary::Stability)
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:       perl(common::sense)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Autoreq:        no
%if %{rhel} >= 8
Provides:       perl(EV) = %{version}
%endif

%description
This module provides an interface to libev
(http://software.schmorp.de/pkg/libev.html). While the documentation below
is comprehensive, one might also consult the documentation of libev itself
(http://pod.tst.eu/http://cvs.schmorp.de/libev/ev.pod or perldoc EV::libev)
for more subtle details on watcher semantics or some discussion on the
available backends, or how to force a specific backend with LIBEV_FLAGS, or
just about in any case because it has much more detailed information.

%prep
%setup -q -n EV-%{version}

%build
echo | %{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes COPYING README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/EV*
%{_mandir}/man3/*

%changelog
* Wed Jan 22 2025 Jean-Philippe Pialasse <jpp@koozali.org> 4.34-1.sme
- Update to version 4.34

* Thu Jan 27 2022 Gavin Carr <gavin@openfusion.net> 4.33-1
- Update to version 4.33.

* Wed Jul 23 2014 Gavin Carr <gavin@openfusion.com.au> 4.17-1
- Update to version 4.17.

* Sun May 26 2013 Gavin Carr <gavin@openfusion.com.au> 4.15-1
- Update to version 4.15.

* Thu Mar 29 2012 Gavin Carr <gavin@openfusion.com.au> 4.11-1
- Update to version 4.11.

* Fri Mar 25 2011 Gavin Carr <gavin@openfusion.com.au> 4.03-1
- Specfile autogenerated by cpanspec 1.79.
